## tlp 1.3.1

=== Makefile ===
# Makefile for TLP
TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")

# Evaluate parameters
TLP_SBIN    ?= /usr/sbin
TLP_BIN     ?= /usr/bin
TLP_TLIB    ?= /usr/share/tlp
TLP_FLIB    ?= /usr/share/tlp/func.d
TLP_ULIB    ?= /lib/udev
TLP_NMDSP   ?= /etc/NetworkManager/dispatcher.d
TLP_CONFUSR ?= /etc/tlp.conf
TLP_CONFDIR ?= /etc/tlp.d
TLP_CONFDEF ?= /usr/share/tlp/defaults.conf
TLP_CONF    ?= /etc/default/tlp
TLP_SYSD    ?= /lib/systemd/system
TLP_SDSL    ?= /lib/systemd/system-sleep
TLP_SYSV    ?= /etc/init.d
TLP_ELOD    ?= /lib/elogind/system-sleep
TLP_SHCPL   ?= /usr/share/bash-completion/completions
TLP_MAN     ?= /usr/share/man
TLP_META    ?= /usr/share/metainfo
TLP_RUN     ?= /run/tlp
TLP_VAR     ?= /var/lib/tlp
TPACPIBAT   ?= $(TLP_TLIB)/tpacpi-bat

# Catenate DESTDIR to paths
_SBIN    = $(DESTDIR)$(TLP_SBIN)
_BIN     = $(DESTDIR)$(TLP_BIN)
_TLIB    = $(DESTDIR)$(TLP_TLIB)
_FLIB    = $(DESTDIR)$(TLP_FLIB)
_ULIB    = $(DESTDIR)$(TLP_ULIB)
_NMDSP   = $(DESTDIR)$(TLP_NMDSP)
_CONFUSR = $(DESTDIR)$(TLP_CONFUSR)
_CONFDIR = $(DESTDIR)$(TLP_CONFDIR)
_CONFDEF = $(DESTDIR)$(TLP_CONFDEF)
_CONF    = $(DESTDIR)$(TLP_CONF)
_SYSD    = $(DESTDIR)$(TLP_SYSD)
_SDSL    = $(DESTDIR)$(TLP_SDSL)
_SYSV    = $(DESTDIR)$(TLP_SYSV)
_ELOD    = $(DESTDIR)$(TLP_ELOD)
_SHCPL   = $(DESTDIR)$(TLP_SHCPL)
_MAN     = $(DESTDIR)$(TLP_MAN)
_META    = $(DESTDIR)$(TLP_META)
_RUN     = $(DESTDIR)$(TLP_RUN)
_VAR     = $(DESTDIR)$(TLP_VAR)
_TPACPIBAT = $(DESTDIR)$(TPACPIBAT)

SED = sed \
	-e "s|@TLPVER@|$(TLPVER)|g" \
	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
	-e "s|@TLP_CONFUSR@|$(TLP_CONFUSR)|g" \
	-e "s|@TLP_CONFDIR@|$(TLP_CONFDIR)|g" \
	-e "s|@TLP_CONFDEF@|$(TLP_CONFDEF)|g" \
	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
	-e "s|@TPACPIBAT@|$(TPACPIBAT)|g"

INFILES = \
	tlp \
	tlp-func-base \
	tlp-rdw-nm \
	tlp-rdw.rules \
	tlp-rdw-udev \
	tlp-rdw \
	tlp-rf \
	tlp.rules \
	tlp-readconfs \
	tlp-run-on \
	tlp.service \
	tlp-stat \
	tlp.upstart \
	tlp-usb-udev

MANFILES1 = \
	bluetooth.1 \
	run-on-ac.1 \
	run-on-bat.1 \
	wifi.1 \
	wwan.1

MANFILES8 = \
	tlp.8 \
	tlp-stat.8 \
	tlp.service.8

MANFILESRDW8 = \
	tlp-rdw.8

SHFILES = \
	tlp.in \
	tlp-func-base.in \
	func.d/* \
	tlp-rdw.in \
	tlp-rdw-nm.in \
	tlp-rdw-udev.in \
	tlp-rf.in \
	tlp-run-on.in \
	tlp-sleep \
	tlp-sleep.elogind \
	tlp-stat.in \
	tlp-usb-udev.in

PLFILES = \
	tlp-pcilist \
	tlp-readconfs.in \
	tlp-usblist

# Make targets
all: $(INFILES)

$(INFILES): %: %.in
	$(SED) $< > $@

clean:
	rm -f $(INFILES)

install-tlp: all
	# Package tlp
	install -D -m 755 tlp $(_SBIN)/tlp
	install -D -m 755 tlp-rf $(_BIN)/bluetooth
	ln -sf bluetooth $(_BIN)/wifi
	ln -sf bluetooth $(_BIN)/wwan
	install -m 755 tlp-run-on $(_BIN)/run-on-ac
	ln -sf run-on-ac $(_BIN)/run-on-bat
	install -m 755 tlp-stat $(_BIN)/
	install -D -m 755 --target-directory $(_TLIB)/func.d func.d/*
	install -m 755 tlp-func-base $(_TLIB)/
	install -m 755 tlp-pcilist $(_TLIB)/
	install -m 755 tlp-readconfs $(_TLIB)/
	install -m 755 tlp-usblist $(_TLIB)/
ifneq ($(TLP_NO_TPACPI),1)
	install -D -m 755 tpacpi-bat $(_TPACPIBAT)
endif
	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
	[ -f $(_CONFUSR) ] || install -D -m 644 tlp.conf $(_CONFUSR)
	install -d $(_CONFDIR)
	install -D -m 644 README.d $(_CONFDIR)/README
	install -D -m 644 00-template.conf $(_CONFDIR)/00-template.conf
	install -D -m 644 defaults.conf $(_CONFDEF)
ifneq ($(TLP_NO_INIT),1)
	install -D -m 755 tlp.init $(_SYSV)/tlp
endif
ifneq ($(TLP_WITH_SYSTEMD),0)
	install -D -m 644 tlp.service $(_SYSD)/tlp.service
	install -D -m 755 tlp-sleep $(_SDSL)/tlp
endif
ifneq ($(TLP_WITH_ELOGIND),0)
	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
endif
ifneq ($(TLP_NO_BASHCOMP),1)
	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
	ln -sf tlp $(_SHCPL)/tlp-stat
	ln -sf tlp $(_SHCPL)/bluetooth
	ln -sf tlp $(_SHCPL)/wifi
	ln -sf tlp $(_SHCPL)/wwan
endif
	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
	install -d -m 755 $(_VAR)

install-rdw: all
	# Package tlp-rdw
	install -D -m 755 tlp-rdw $(_BIN)/tlp-rdw
	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
ifneq ($(TLP_NO_BASHCOMP),1)
	install -D -m 644 tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
endif

install-man-tlp:
	# manpages
	install -d -m 755 $(_MAN)/man1
	cd man && install -m 644 $(MANFILES1) $(_MAN)/man1/
	install -d -m 755 $(_MAN)/man8
	cd man && install -m 644 $(MANFILES8) $(_MAN)/man8/

install-man-rdw:
	# manpages
	install -d -m 755 $(_MAN)/man8
	cd man-rdw && install -m 644 $(MANFILESRDW8) $(_MAN)/man8/

install: install-tlp install-rdw

install-man: install-man-tlp install-man-rdw

uninstall-tlp:
	# Package tlp
	rm $(_SBIN)/tlp
	rm $(_BIN)/bluetooth
	rm $(_BIN)/wifi
	rm $(_BIN)/wwan
	rm $(_BIN)/run-on-ac
	rm $(_BIN)/run-on-bat
	rm $(_BIN)/tlp-stat
	rm $(_CONFDIR)/README
	rm $(_CONFDIR)/00-template.conf
	rm -r $(_TLIB)
	rm $(_ULIB)/tlp-usb-udev
	rm $(_ULIB)/rules.d/85-tlp.rules
	rm -f $(_SYSV)/tlp
	rm -f $(_SYSD)/tlp.service
	rm -f $(_SDSL)/tlp-sleep
	rm -f $(_ELOD)/49-tlp-sleep
	rm -f $(_SHCPL)/tlp-stat
	rm -f $(_SHCPL)/bluetooth
	rm -f $(_SHCPL)/wifi
	rm -f $(_SHCPL)/wwan
	rm -f $(_SHCPL)/tlp
	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
	rm -r $(_VAR)

uninstall-rdw:
	# Package tlp-rdw
	rm $(_BIN)/tlp-rdw
	rm $(_ULIB)/rules.d/85-tlp-rdw.rules
	rm $(_ULIB)/tlp-rdw-udev
	rm $(_NMDSP)/99tlp-rdw-nm
	rm -f $(_SHCPL)/tlp-rdw

uninstall-man-tlp:
	# manpages
	cd $(_MAN)/man1 && rm -f $(MANFILES1)
	cd $(_MAN)/man8 && rm -f $(MANFILES8)

uninstall-man-rdw:
	# manpages
	cd $(_MAN)/man8 && rm -f $(MANFILESRDW8)

uninstall: uninstall-tlp uninstall-rdw

uninstall-man: uninstall-man-tlp uninstall-man-rdw

checkall: checkbashisms shellcheck perlcritic checkdupconst checkwip

checkbashisms:
	@echo "+++ checkbashisms +++"
	@checkbashisms $(SHFILES) || true

shellcheck:
	@echo "+++ shellcheck +++"
	@shellcheck -s dash $(SHFILES) || true

perlcritic:
	@echo "+++ perlcritic +++"
	@perlcritic --severity 4 --verbose "%F: [%p] %m at line %l, column %c.  (Severity: %s)\n" $(PLFILES) || true

checkdupconst:
	@echo "+++ checkdupconst +++"
	@{ sed -n -r -e 's,^.*readonly\s+([A-Za-z_][A-Za-z_0-9]*)=.*$$,\1,p' $(SHFILES) | sort | uniq -d; } || true

checkwip:
	@echo "+++ checkwip +++"
	@grep -E -n "### (DEBUG|DEVEL|TODO)" $(SHFILES) $(PLFILES) || true

=== debian/changelog ===
tlp (1.3.1-2) unstable; urgency=medium

  * [ac00297] debian/control: fix typo (Closes: #951364)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 18 Feb 2020 13:09:27 +0100

tlp (1.3.1-1) unstable; urgency=medium

  * [de3f913] New upstream version 1.3.1 (bugfix release)
    (Closes: #950702) (LP: #1861966)

    Bugfixes:
      - Issue #460: default CPU_ENERGY_PERF_POLICY_ON_BAT=power too aggressive

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 07 Feb 2020 08:43:42 +0100

tlp (1.3.0-1) unstable; urgency=medium

  * [8601123] New upstream version 1.3.0

    New Features:

      - New configuration scheme
        + /etc/default/tlp is replaced by /etc/tlp.conf
        + Settings are read in the following order:
          - Intrinsic defaults
          - /etc/tlp.d/*.conf - Drop-in customization snippets
          - /etc/tlp.conf - User configuration
          In case of identical parameters, the last occurrence has precedence
        + Parse config files instead of sourcing --> no more shell expansion

      - Battery Features, tlp-stat -b
        + Charge thresholds: better checks for command line and configuration;
          clearer error messages
        + tlp discharge: error message "check your hardware" when battery
          wasn't completely discharged (Issue #438)
        + Distinguish between "no kernel support" for natacpi (< 4.17) and
          "laptop not supported" (>= 4.17)
        + Supplement battery status "Unknown" with "threshold may prevent
          charging" when thresholds are available only

      - General
        + systemd: replace tlp-sleep.service with /lib/systemd/system-sleep/tlp

      - Operation Mode AC/BAT
        + TLP_PS_IGNORE: power supply class to ignore when determining operation
          mode; workaround for laptops reporting incorrect AC or battery status
          (Issue #446)

      - PCI(e) devices
        + PCIE_ASPM_ON_AC/BAT: add method 'powersupersave' (Issue #425)

      - Processor
        + CPU_ENERGY_PERF_POLICY_ON_AC/BAT: backward compatible merge of
          settings for Intel energy vs. performance policies EPB
          (ENERGY_PERF_POLICY_ON_AC/BAT) and HWP.EPP (CPU_HWP_ON_AC/BAT); when
          HWP.EPP is available, EPB is not set; validate parameters; eliminate
          external tool x86_energy_perf_policy for kernel >= 5.2

      - tlp-stat
        + Configuration: show file where the parameter comes from System Info:
          - Show SELinux status
          - Show RDW as 'disabled' when TLP is disabled as a whole
          - Indicate persistent mode
        + Intel CPU: don't show EPB values when HWP.EPP is active (see above)
        + PCIe ASPM: show available policies
        + Undervolting: remove "PHC kernel not available" message

    Bugfixes:

      - Battery Features
        + Issue #415: ThinkPad X240 discharge BAT1 malfunction when BAT0 is not
          installed

      - Disks
        + Fix NVMe detection on Linux 4.15

      - tlp-stat
        + Issue #430: ignore HID device batteries

  * [66ef9d4] Merge changes from upstream Debian packaging
  * [7071a4e] debian/copyright: update copyrights years
  * [fcab431] Silence lintian about tlp.service manpage without executable
  * [7222802] Bump Standards-Version to 4.5.0
  * [85708e0] Add debian/NEWS entry to explain new configuration scheme

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 03 Feb 2020 13:04:49 +0100

=== debian/control ===
Source: tlp
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9.20160709)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/moonsweep-guest/tlp
Vcs-Git: https://salsa.debian.org/moonsweep-guest/tlp.git
Homepage: https://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: lsb-base, hdparm, iw | wireless-tools, pciutils, rfkill, usbutils, ${misc:Depends}
Recommends: tlp-rdw, ethtool
Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Save battery power on laptops
 TLP is an advanced power management tool for Linux. It comes with a
 default configuration already optimized for battery life. At the same
 time it is highly customizable to fulfil specific user requirements.
 .
 TLP supplies separate settings profiles for AC and battery power and can
 enable or disable Bluetooth, Wi-Fi and WWAN radio devices upon system startup.
 .
 For ThinkPads it provides a unified way to configure charging thresholds and
 recalibrate the battery for all models which support it (via tp-smapi or
 acpi-call).
 .
 TLP is a pure command line tool with automated background tasks, it
 does not contain a GUI.

Package: tlp-rdw
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of:
  - Bluetooth, Wi-Fi, WWAN radio devices
  - upon network connect/disconnect
  - and dock/undock.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Debian and Ubuntu provide x86_energy_perf_policy in different packages
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Suggests="linux-tools-generic | linux-tools"
else
	SUBSTVARS = -Vdist:Suggests="linux-cpupower"
endif

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable --package=tlp tlp.service

override_dh_installinit:
	dh_installinit --package=tlp --no-start --only-scripts -- defaults 98 01

override_dh_systemd_start:
	dh_systemd_start --package=tlp --no-start

override_dh_gencontrol:
	dh_gencontrol --package=tlp -- $(SUBSTVARS)
	dh_gencontrol --remaining-packages

override_dh_installdocs:
	dh_installdocs --link-doc tlp

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/TLP-$1\.tar\.gz/ \
  https://github.com/linrunner/TLP/releases .*/v?(\d\S*)\.tar\.gz

## tlp 1.4.0

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,12 @@
 TLP_TLIB    ?= /usr/share/tlp
 TLP_FLIB    ?= /usr/share/tlp/func.d
 TLP_ULIB    ?= /lib/udev
+TLP_BATD    ?= /usr/share/tlp/bat.d
 TLP_NMDSP   ?= /etc/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
 TLP_CONFDIR ?= /etc/tlp.d
 TLP_CONFDEF ?= /usr/share/tlp/defaults.conf
+TLP_CONFREN ?= /usr/share/tlp/rename.conf
 TLP_CONF    ?= /etc/default/tlp
 TLP_SYSD    ?= /lib/systemd/system
 TLP_SDSL    ?= /lib/systemd/system-sleep
@@ -29,10 +31,12 @@
 _TLIB    = $(DESTDIR)$(TLP_TLIB)
 _FLIB    = $(DESTDIR)$(TLP_FLIB)
 _ULIB    = $(DESTDIR)$(TLP_ULIB)
+_BATD    = $(DESTDIR)$(TLP_BATD)
 _NMDSP   = $(DESTDIR)$(TLP_NMDSP)
 _CONFUSR = $(DESTDIR)$(TLP_CONFUSR)
 _CONFDIR = $(DESTDIR)$(TLP_CONFDIR)
 _CONFDEF = $(DESTDIR)$(TLP_CONFDEF)
+_CONFREN = $(DESTDIR)$(TLP_CONFREN)
 _CONF    = $(DESTDIR)$(TLP_CONF)
 _SYSD    = $(DESTDIR)$(TLP_SYSD)
 _SDSL    = $(DESTDIR)$(TLP_SDSL)
@@ -51,9 +55,11 @@
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
 	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
+	-e "s|@TLP_BATD@|$(TLP_BATD)|g" \
 	-e "s|@TLP_CONFUSR@|$(TLP_CONFUSR)|g" \
 	-e "s|@TLP_CONFDIR@|$(TLP_CONFDIR)|g" \
 	-e "s|@TLP_CONFDEF@|$(TLP_CONFDEF)|g" \
+	-e "s|@TLP_CONFREN@|$(TLP_CONFREN)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
 	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
@@ -94,6 +100,7 @@
 	tlp.in \
 	tlp-func-base.in \
 	func.d/* \
+	bat.d/*[a-z] \
 	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
@@ -109,6 +116,8 @@
 	tlp-readconfs.in \
 	tlp-usblist
 
+BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-*[a-z]),$(drv)~)
+
 # Make targets
 all: $(INFILES)
 
@@ -117,6 +126,7 @@
 
 clean:
 	rm -f $(INFILES)
+	rm -f bat.d/*~
 
 install-tlp: all
 	# Package tlp
@@ -127,8 +137,9 @@
 	install -m 755 tlp-run-on $(_BIN)/run-on-ac
 	ln -sf run-on-ac $(_BIN)/run-on-bat
 	install -m 755 tlp-stat $(_BIN)/
-	install -D -m 755 --target-directory $(_TLIB)/func.d func.d/*
+	install -D -m 755 -t $(_TLIB)/func.d func.d/*
 	install -m 755 tlp-func-base $(_TLIB)/
+	install -D -m 755 -t $(_TLIB)/bat.d bat.d/*
 	install -m 755 tlp-pcilist $(_TLIB)/
 	install -m 755 tlp-readconfs $(_TLIB)/
 	install -m 755 tlp-usblist $(_TLIB)/
@@ -142,6 +153,7 @@
 	install -D -m 644 README.d $(_CONFDIR)/README
 	install -D -m 644 00-template.conf $(_CONFDIR)/00-template.conf
 	install -D -m 644 defaults.conf $(_CONFDEF)
+	install -D -m 644 rename.conf $(_CONFREN)
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
@@ -235,24 +247,35 @@
 
 uninstall-man: uninstall-man-tlp uninstall-man-rdw
 
-checkall: checkbashisms shellcheck perlcritic checkdupconst checkwip
+checkall: checkbashisms shellcheck perlcritic checkdupconst checkbatdrv checkwip
 
 checkbashisms:
-	@echo "+++ checkbashisms +++"
+	@echo "*** checkbashisms ***************************************************************************"
 	@checkbashisms $(SHFILES) || true
 
 shellcheck:
-	@echo "+++ shellcheck +++"
+	@echo "*** shellcheck ******************************************************************************"
 	@shellcheck -s dash $(SHFILES) || true
 
 perlcritic:
-	@echo "+++ perlcritic +++"
+	@echo "*** perlcritic ******************************************************************************"
 	@perlcritic --severity 4 --verbose "%F: [%p] %m at line %l, column %c.  (Severity: %s)\n" $(PLFILES) || true
 
 checkdupconst:
-	@echo "+++ checkdupconst +++"
+	@echo "*** checkdupconst ***************************************************************************"
 	@{ sed -n -r -e 's,^.*readonly\s+([A-Za-z_][A-Za-z_0-9]*)=.*$$,\1,p' $(SHFILES) | sort | uniq -d; } || true
 
 checkwip:
-	@echo "+++ checkwip +++"
-	@grep -E -n "### (DEBUG|DEVEL|TODO)" $(SHFILES) $(PLFILES) || true
+	@echo "*** checkwip ********************************************************************************"
+	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(PLFILES) || true
+
+bat.d/TEMPLATE~: bat.d/TEMPLATE
+	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
+
+bat.d/%~: bat.d/%
+	@printf "*** checkbatdrv %-25s ***********************************************\n" "$<"
+	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
+	@diff -U 1 -s bat.d/TEMPLATE~  $@ || true
+
+checkbatdrv: bat.d/TEMPLATE~ $(BATDRVFILES)
+	rm -f bat.d/*~

=== debian/changelog ===
tlp (1.4.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Nov 2021 15:32:39 -0700

tlp (1.4.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Sep 2021 18:34:43 +0200

tlp (1.4.0-1) unstable; urgency=medium

  * [f3a319c] New upstream version 1.4.0 (LP: #1923737)

  [ Thomas Koch ]
  * [bc613b8] Remove dependency on lsb-base
  * [babd6e5] Update package description
  * [559264f] Bump debhelper compatibility level to 12
  * [3e89fce] Mask/unmask power-profiles-daemon.service (LP: #1934944)

  [ Raphaël Halimi ]
  * [0d4086f] Remove '-guest' from Vcs-* URLs
  * [ec2fce9] debian/watch: update to version 4
  * [2686afe] Drop unused lintian overrides:
      - testsuite-autopkgtest-missing
      - manpage-without-executable
  * [7448f28] Bump Standards-Version to 4.6.0
  * [866222a] debian/copyright: update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Sep 2021 18:05:42 +0200

=== debian/control ===
Source: tlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
Homepage: https://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: hdparm,
         iw | wireless-tools,
         pciutils,
         rfkill,
         usbutils,
         ${misc:Depends},
         ethtool, tlp-rdw
Suggests: acpi-call-dkms, smartmontools, tp-smapi-dkms, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Optimize laptop battery life
 TLP is a feature-rich command-line utility, saving laptop battery power
 without the need to delve deeper into technical details.
 .
 TLP’s default settings are already optimized for battery life and implement
 Powertop’s recommendations out of the box. Moreover TLP is highly
 customizable to fulfil specific user requirements.
 .
 Settings are organized into two profiles, allowing to adjust between
 savings and performance independently for battery (BAT) and AC operation.
 In addition TLP can enable or disable Bluetooth, Wi-Fi and WWAN radio
 devices on boot.
 .
 For ThinkPads and selected other laptops it provides a unified way
 to configure charge thresholds and recalibrate the battery.

Package: tlp-rdw
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of bluetooth, Wi-Fi and WWAN radio devices on:
  - network connect/disconnect
  - dock/undock

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,13 @@
 endif
 
 %:
-	dh $@ --with systemd
+	dh $@
 
-override_dh_systemd_enable:
-	dh_systemd_enable --package=tlp tlp.service
+override_dh_installsystemd:
+	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade tlp.service
 
 override_dh_installinit:
-	dh_installinit --package=tlp --no-start --only-scripts -- defaults 98 01
-
-override_dh_systemd_start:
-	dh_systemd_start --package=tlp --no-start
+	dh_installinit --package=tlp --no-start --no-restart-after-upgrade --only-scripts -- defaults 98 01
 
 override_dh_gencontrol:
 	dh_gencontrol --package=tlp -- $(SUBSTVARS)

## tlp 1.5.0

=== Makefile ===
--- 
+++ 
@@ -83,6 +83,7 @@
 
 MANFILES1 = \
 	bluetooth.1 \
+	nfc.1 \
 	run-on-ac.1 \
 	run-on-bat.1 \
 	wifi.1 \
@@ -132,6 +133,7 @@
 	# Package tlp
 	install -D -m 755 tlp $(_SBIN)/tlp
 	install -D -m 755 tlp-rf $(_BIN)/bluetooth
+	ln -sf bluetooth $(_BIN)/nfc
 	ln -sf bluetooth $(_BIN)/wifi
 	ln -sf bluetooth $(_BIN)/wwan
 	install -m 755 tlp-run-on $(_BIN)/run-on-ac
@@ -168,6 +170,7 @@
 	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
 	ln -sf tlp $(_SHCPL)/tlp-stat
 	ln -sf tlp $(_SHCPL)/bluetooth
+	ln -sf tlp $(_SHCPL)/nfc
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
 endif
@@ -204,6 +207,7 @@
 	# Package tlp
 	rm $(_SBIN)/tlp
 	rm $(_BIN)/bluetooth
+	rm $(_BIN)/nfc
 	rm $(_BIN)/wifi
 	rm $(_BIN)/wwan
 	rm $(_BIN)/run-on-ac
@@ -220,6 +224,7 @@
 	rm -f $(_ELOD)/49-tlp-sleep
 	rm -f $(_SHCPL)/tlp-stat
 	rm -f $(_SHCPL)/bluetooth
+	rm -f $(_SHCPL)/nfc
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp

=== debian/changelog ===
tlp (1.5.0-1ubuntu3) jammy; urgency=medium

  * debian/patches/remove_gnome_conflict.patch:
    - remove another case where tlp is bailing out when power-profile-daemon
      is installed (lp: #1964346)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Mar 2022 09:56:01 +0100

tlp (1.5.0-1ubuntu2) jammy; urgency=medium

  * debian/control: remove the conflicts on power-profiles-daemon

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Mar 2022 09:28:23 +0100

tlp (1.5.0-1ubuntu1) jammy; urgency=medium

  * debian/control, debian/patches/remove_gnome_conflict.patch:
    CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
    handled by power-profiles-daemon, so in tlp it will ignore these
    configuration when detect power-profiles-daemon is active.
    And in tlp.conf, I added some warnings to reminder users when
    there are power-profiles-deamon.

 -- Bin Li <bin.li@canonical.com>  Sat, 05 Mar 2022 10:31:27 +0100

tlp (1.5.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:35:34 +0000

tlp (1.5.0-1) unstable; urgency=medium

  * [31238c8] New upstream version 1.5.0

  [ Thomas Koch ]
  * [829f496] Remove dependency on wireless-tools
  * [ad74045] Add nfc command
  * [f25a3d9] Add Conflicts: power-profiles-daemon
  * [78494ab] maintscripts: refactor (un)masking of conflicting services
  * [5ff87af] Implement UsrMerge
      - Install systemd and udev files in /usr/lib
      - Add backwards compatibility symlink for systemd resume hook
      - Bump debhelper compatibility level to 13
  * [5c85b99] debian/rules: remove useless leftover argument to dh override
  * [b7ac1b5] debian/control: remove Pre-Depends: dpkg (>= 1.17.14)
  * [e8da258] debian/copyright: update copyright years

  [ Raphaël Halimi ]
  * [d64f5f2] Silence lintian false positive about bashism

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 03 Feb 2022 15:59:54 +0100

=== debian/control ===
Source: tlp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
Homepage: https://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
Recommends: tlp-rdw, ethtool
Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Optimize laptop battery life
 TLP is a feature-rich command-line utility, saving laptop battery power
 without the need to delve deeper into technical details.
 .
 TLP’s default settings are already optimized for battery life and implement
 Powertop’s recommendations out of the box. Moreover TLP is highly
 customizable to fulfil specific user requirements.
 .
 Settings are organized into two profiles, allowing to adjust between
 savings and performance independently for battery (BAT) and AC operation.
 In addition TLP can enable or disable Bluetooth, NFC, Wi-Fi and WWAN radio
 devices on boot.
 .
 For ThinkPads and selected other laptops it provides a unified way
 to configure charge thresholds and recalibrate the battery.

Package: tlp-rdw
Architecture: all
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of bluetooth, NFC, Wi-Fi and WWAN radio devices on:
  - network connect/disconnect
  - dock/undock

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+# UsrMerge: install systemd/udev files below /usr/lib/
+export TLP_ELOD=/usr/lib/elogind/system-sleep
+export TLP_SDSL=/usr/lib/systemd/system-sleep
+export TLP_SYSD=/usr/lib/systemd/system
+export TLP_ULIB=/usr/lib/udev
 
 # Debian and Ubuntu provide x86_energy_perf_policy in different packages
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -14,7 +20,7 @@
 	dh $@
 
 override_dh_installsystemd:
-	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade tlp.service
+	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade
 
 override_dh_installinit:
 	dh_installinit --package=tlp --no-start --no-restart-after-upgrade --only-scripts -- defaults 98 01

=== debian/watch ===
# Watch file
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%TLP-$1.tar.gz%" \
   https://github.com/linrunner/TLP/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tlp 1.6.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Makefile for TLP
+# Copyright (c) 2023 Thomas Koch <linrunner at gmx.net> and others.
+# SPDX-License-Identifier: GPL-2.0-or-later
 TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")
 
 # Evaluate parameters
@@ -8,17 +10,19 @@
 TLP_FLIB    ?= /usr/share/tlp/func.d
 TLP_ULIB    ?= /lib/udev
 TLP_BATD    ?= /usr/share/tlp/bat.d
-TLP_NMDSP   ?= /etc/NetworkManager/dispatcher.d
+TLP_NMDSP   ?= /usr/lib/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
 TLP_CONFDIR ?= /etc/tlp.d
 TLP_CONFDEF ?= /usr/share/tlp/defaults.conf
 TLP_CONFREN ?= /usr/share/tlp/rename.conf
+TLP_CONFDPR ?= /usr/share/tlp/deprecated.conf
 TLP_CONF    ?= /etc/default/tlp
 TLP_SYSD    ?= /lib/systemd/system
 TLP_SDSL    ?= /lib/systemd/system-sleep
 TLP_SYSV    ?= /etc/init.d
 TLP_ELOD    ?= /lib/elogind/system-sleep
 TLP_SHCPL   ?= /usr/share/bash-completion/completions
+TLP_ZSHCPL  ?= /usr/share/zsh/site-functions
 TLP_MAN     ?= /usr/share/man
 TLP_META    ?= /usr/share/metainfo
 TLP_RUN     ?= /run/tlp
@@ -37,12 +41,14 @@
 _CONFDIR = $(DESTDIR)$(TLP_CONFDIR)
 _CONFDEF = $(DESTDIR)$(TLP_CONFDEF)
 _CONFREN = $(DESTDIR)$(TLP_CONFREN)
+_CONFDPR = $(DESTDIR)$(TLP_CONFDPR)
 _CONF    = $(DESTDIR)$(TLP_CONF)
 _SYSD    = $(DESTDIR)$(TLP_SYSD)
 _SDSL    = $(DESTDIR)$(TLP_SDSL)
 _SYSV    = $(DESTDIR)$(TLP_SYSV)
 _ELOD    = $(DESTDIR)$(TLP_ELOD)
 _SHCPL   = $(DESTDIR)$(TLP_SHCPL)
+_ZSHCPL  = $(DESTDIR)$(TLP_ZSHCPL)
 _MAN     = $(DESTDIR)$(TLP_MAN)
 _META    = $(DESTDIR)$(TLP_META)
 _RUN     = $(DESTDIR)$(TLP_RUN)
@@ -60,6 +66,7 @@
 	-e "s|@TLP_CONFDIR@|$(TLP_CONFDIR)|g" \
 	-e "s|@TLP_CONFDEF@|$(TLP_CONFDEF)|g" \
 	-e "s|@TLP_CONFREN@|$(TLP_CONFREN)|g" \
+	-e "s|@TLP_CONFDPR@|$(TLP_CONFDPR)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
 	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
@@ -67,6 +74,7 @@
 
 INFILES = \
 	tlp \
+	tlp.conf \
 	tlp-func-base \
 	tlp-rdw-nm \
 	tlp-rdw.rules \
@@ -101,7 +109,7 @@
 	tlp.in \
 	tlp-func-base.in \
 	func.d/* \
-	bat.d/*[a-z] \
+	bat.d/* \
 	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
@@ -110,14 +118,16 @@
 	tlp-sleep \
 	tlp-sleep.elogind \
 	tlp-stat.in \
-	tlp-usb-udev.in
+	tlp-usb-udev.in \
+	unit-tests/test-func \
+	unit-tests/test-cpufreq.sh
 
 PLFILES = \
 	tlp-pcilist \
 	tlp-readconfs.in \
 	tlp-usblist
 
-BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-*[a-z]),$(drv)~)
+BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-[a-z]*),$(drv)~)
 
 # Make targets
 all: $(INFILES)
@@ -156,6 +166,7 @@
 	install -D -m 644 00-template.conf $(_CONFDIR)/00-template.conf
 	install -D -m 644 defaults.conf $(_CONFDEF)
 	install -D -m 644 rename.conf $(_CONFREN)
+	install -D -m 644 deprecated.conf $(_CONFDPR)
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
@@ -167,12 +178,18 @@
 	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
-	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
+	install -D -m 644 completion/bash/tlp.bash_completion $(_SHCPL)/tlp
 	ln -sf tlp $(_SHCPL)/tlp-stat
 	ln -sf tlp $(_SHCPL)/bluetooth
 	ln -sf tlp $(_SHCPL)/nfc
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
+endif
+ifneq ($(TLP_NO_ZSHCOMP),1)
+	install -D -m 644 completion/zsh/_tlp $(_ZSHCPL)/_tlp
+	install -D -m 644 completion/zsh/_tlp-radio-device $(_ZSHCPL)/_tlp-radio-device
+	install -D -m 644 completion/zsh/_tlp-run-on $(_ZSHCPL)/_tlp-run-on
+	install -D -m 644 completion/zsh/_tlp-stat $(_ZSHCPL)/_tlp-stat
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 	install -d -m 755 $(_VAR)
@@ -184,7 +201,10 @@
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
 ifneq ($(TLP_NO_BASHCOMP),1)
-	install -D -m 644 tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+	install -D -m 644 completion/bash/tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+endif
+ifneq ($(TLP_NO_ZSHCOMP),1)
+	install -D -m 644 completion/zsh/_tlp-rdw $(_ZSHCPL)/_tlp-rdw
 endif
 
 install-man-tlp:
@@ -228,6 +248,10 @@
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
+	rm -f $(_ZSHCPL)/_tlp
+	rm -f $(_ZSHCPL)/_tlp-radio-device
+	rm -f $(_ZSHCPL)/_tlp-run-on
+	rm -f $(_ZSHCPL)/_tlp-stat
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 	rm -r $(_VAR)
 
@@ -238,6 +262,7 @@
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
 	rm -f $(_SHCPL)/tlp-rdw
+	rm -f $(_ZSHCPL)/_tlp-rdw
 
 uninstall-man-tlp:
 	# manpages

=== debian/changelog ===
tlp (1.6.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.
  * debian/patches/remove_gnome_conflict.patch: refresh.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Nov 2023 09:39:01 -0800

tlp (1.6.1-1) unstable; urgency=medium

  * [45c34ae] New upstream version 1.6.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 28 Sep 2023 14:25:41 +0200

tlp (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

  [ Thomas Koch ]
  * [b04adfb] tlp-rdw: relocate NetworkManager hook (Closes: #1035889)
  * [059bda1] Add ZSH completions
  * [e43bdaa] Remove Suggests: acpi-call-dkms (obsolete with kernel 5.17)
  * [a979a7b] Add deprecated.conf
  * [296c640] Update lintian overrides
  * [af2813c] Bump Standards-Version to 4.6.2
  * [dd0b14f] Remove debian/source/options

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 30 Aug 2023 15:02:39 +0200

tlp (1.5.0-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.
  * Refine the text of the tlp.conf warnings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 10:50:23 -0700

tlp (1.5.0-2) unstable; urgency=medium

  * [88f5b05] Revert usrmerge changes for Bookworm

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 12 Apr 2023 12:34:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
 Homepage: https://linrunner.de/tlp
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
-Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
+Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
 Conflicts: laptop-mode-tools
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,8 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-# UsrMerge: install systemd/udev files below /usr/lib/
-export TLP_ELOD=/usr/lib/elogind/system-sleep
-export TLP_SDSL=/usr/lib/systemd/system-sleep
-export TLP_SYSD=/usr/lib/systemd/system
-export TLP_ULIB=/usr/lib/udev
+# Override Makefile defaults
+export TLP_ZSHCPL=/usr/share/zsh/vendor-completions
 
 # Debian and Ubuntu provide x86_energy_perf_policy in different packages
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)

## tlp 1.7.0

=== debian/changelog ===
tlp (1.7.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports
  * [6642fad] Revert DEP-17

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 06 Oct 2024 12:37:21 +0200

tlp (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

  [ Raphaël Halimi ]
  * [4bcc180] debian/rules: remove DEP-17 settings (now upstream default)
  * [9bdf1f4] Bump Standards-Version to 4.7.0

  [ Thomas Koch ]
  * [d19db43] Add Fish completion and bash completion for run-on-ac/bat
  * [aeb03ee] Remove tpacpi-bat
  * [f85d0e7] Remove Suggests providing x86_energy_perf_policy
  * [fc1b72a] debian/copyright: remove tpacpi-bat, update to 2024
  * [44653af] Add Conflicts: tuned
  * [c44bc9e] Update lintian overrides
  * [4eba6b9] Remove GPL-3+ (tpacpi-bat) from copyright

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 06 Oct 2024 11:50:56 +0200

tlp (1.6.1-2) unstable; urgency=medium

  * [7a69957] Move remaining files to /usr for DEP-17 (Closes: #1073658)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 24 Jun 2024 13:32:22 +0200

## tlp 1.7.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for TLP
-# Copyright (c) 2023 Thomas Koch <linrunner at gmx.net> and others.
+# Copyright (c) 2024 Thomas Koch <linrunner at gmx.net> and others.
 # SPDX-License-Identifier: GPL-2.0-or-later
 TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")
 
@@ -8,7 +8,7 @@
 TLP_BIN     ?= /usr/bin
 TLP_TLIB    ?= /usr/share/tlp
 TLP_FLIB    ?= /usr/share/tlp/func.d
-TLP_ULIB    ?= /lib/udev
+TLP_ULIB    ?= /usr/lib/udev
 TLP_BATD    ?= /usr/share/tlp/bat.d
 TLP_NMDSP   ?= /usr/lib/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
@@ -17,17 +17,17 @@
 TLP_CONFREN ?= /usr/share/tlp/rename.conf
 TLP_CONFDPR ?= /usr/share/tlp/deprecated.conf
 TLP_CONF    ?= /etc/default/tlp
-TLP_SYSD    ?= /lib/systemd/system
-TLP_SDSL    ?= /lib/systemd/system-sleep
+TLP_SYSD    ?= /usr/lib/systemd/system
+TLP_SDSL    ?= /usr/lib/systemd/system-sleep
 TLP_SYSV    ?= /etc/init.d
-TLP_ELOD    ?= /lib/elogind/system-sleep
+TLP_ELOD    ?= /usr/lib/elogind/system-sleep
 TLP_SHCPL   ?= /usr/share/bash-completion/completions
 TLP_ZSHCPL  ?= /usr/share/zsh/site-functions
+TLP_FISHCPL ?= /usr/share/fish/vendor_completions.d
 TLP_MAN     ?= /usr/share/man
 TLP_META    ?= /usr/share/metainfo
 TLP_RUN     ?= /run/tlp
 TLP_VAR     ?= /var/lib/tlp
-TPACPIBAT   ?= $(TLP_TLIB)/tpacpi-bat
 
 # Catenate DESTDIR to paths
 _SBIN    = $(DESTDIR)$(TLP_SBIN)
@@ -49,11 +49,11 @@
 _ELOD    = $(DESTDIR)$(TLP_ELOD)
 _SHCPL   = $(DESTDIR)$(TLP_SHCPL)
 _ZSHCPL  = $(DESTDIR)$(TLP_ZSHCPL)
+_FISHCPL = $(DESTDIR)$(TLP_FISHCPL)
 _MAN     = $(DESTDIR)$(TLP_MAN)
 _META    = $(DESTDIR)$(TLP_META)
 _RUN     = $(DESTDIR)$(TLP_RUN)
 _VAR     = $(DESTDIR)$(TLP_VAR)
-_TPACPIBAT = $(DESTDIR)$(TPACPIBAT)
 
 SED = sed \
 	-e "s|@TLPVER@|$(TLPVER)|g" \
@@ -69,8 +69,7 @@
 	-e "s|@TLP_CONFDPR@|$(TLP_CONFDPR)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
-	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
-	-e "s|@TPACPIBAT@|$(TPACPIBAT)|g"
+	-e "s|@TLP_VAR@|$(TLP_VAR)|g"
 
 INFILES = \
 	tlp \
@@ -119,6 +118,8 @@
 	tlp-sleep.elogind \
 	tlp-stat.in \
 	tlp-usb-udev.in \
+
+UTSHFILES = \
 	unit-tests/test-func \
 	unit-tests/test-cpufreq.sh
 
@@ -155,9 +156,6 @@
 	install -m 755 tlp-pcilist $(_TLIB)/
 	install -m 755 tlp-readconfs $(_TLIB)/
 	install -m 755 tlp-usblist $(_TLIB)/
-ifneq ($(TLP_NO_TPACPI),1)
-	install -D -m 755 tpacpi-bat $(_TPACPIBAT)
-endif
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONFUSR) ] || install -D -m 644 tlp.conf $(_CONFUSR)
@@ -184,12 +182,24 @@
 	ln -sf tlp $(_SHCPL)/nfc
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
+	ln -sf tlp $(_SHCPL)/run-on-ac
+	ln -sf tlp $(_SHCPL)/run-on-bat
 endif
 ifneq ($(TLP_NO_ZSHCOMP),1)
 	install -D -m 644 completion/zsh/_tlp $(_ZSHCPL)/_tlp
 	install -D -m 644 completion/zsh/_tlp-radio-device $(_ZSHCPL)/_tlp-radio-device
 	install -D -m 644 completion/zsh/_tlp-run-on $(_ZSHCPL)/_tlp-run-on
 	install -D -m 644 completion/zsh/_tlp-stat $(_ZSHCPL)/_tlp-stat
+endif
+ifneq ($(TLP_NO_FISHCOMP),1)
+	install -D -m 644 completion/fish/tlp.fish $(_FISHCPL)/tlp.fish
+	install -D -m 644 completion/fish/tlp-stat.fish $(_FISHCPL)/tlp-stat.fish
+	ln -sf tlp.fish $(_FISHCPL)/bluetooth.fish
+	ln -sf tlp.fish $(_FISHCPL)/nfc.fish
+	ln -sf tlp.fish $(_FISHCPL)/wifi.fish
+	ln -sf tlp.fish $(_FISHCPL)/wwan.fish
+	ln -sf tlp.fish $(_FISHCPL)/run-on-ac.fish
+	ln -sf tlp.fish $(_FISHCPL)/run-on-bat.fish
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 	install -d -m 755 $(_VAR)
@@ -205,6 +215,9 @@
 endif
 ifneq ($(TLP_NO_ZSHCOMP),1)
 	install -D -m 644 completion/zsh/_tlp-rdw $(_ZSHCPL)/_tlp-rdw
+endif
+ifneq ($(TLP_NO_FISHCOMP),1)
+	install -D -m 644 completion/fish/tlp-rdw.fish $(_FISHCPL)/tlp-rdw.fish
 endif
 
 install-man-tlp:
@@ -242,16 +255,26 @@
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SDSL)/tlp-sleep
 	rm -f $(_ELOD)/49-tlp-sleep
+	rm -f $(_SHCPL)/tlp
 	rm -f $(_SHCPL)/tlp-stat
 	rm -f $(_SHCPL)/bluetooth
 	rm -f $(_SHCPL)/nfc
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
-	rm -f $(_SHCPL)/tlp
+	rm -f $(_SHCPL)/run-on-ac
+	rm -f $(_SHCPL)/run-on-bat
 	rm -f $(_ZSHCPL)/_tlp
 	rm -f $(_ZSHCPL)/_tlp-radio-device
 	rm -f $(_ZSHCPL)/_tlp-run-on
 	rm -f $(_ZSHCPL)/_tlp-stat
+	rm -f $(_FISHCPL)/tlp.fish
+	rm -f $(_FISHCPL)/tlp-stat.fish
+	rm -f $(_FISHCPL)/bluetooth.fish
+	rm -f $(_FISHCPL)/nfc.fish
+	rm -f $(_FISHCPL)/wifi.fish
+	rm -f $(_FISHCPL)/wwan.fish
+	rm -f $(_FISHCPL)/run-on-ac.fish
+	rm -f $(_FISHCPL)/run-on-bat.fish
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 	rm -r $(_VAR)
 
@@ -263,6 +286,7 @@
 	rm $(_NMDSP)/99tlp-rdw-nm
 	rm -f $(_SHCPL)/tlp-rdw
 	rm -f $(_ZSHCPL)/_tlp-rdw
+	rm -f $(_FISHCPL)/tlp-rdw.fish
 
 uninstall-man-tlp:
 	# manpages
@@ -281,11 +305,11 @@
 
 checkbashisms:
 	@echo "*** checkbashisms ***************************************************************************"
-	@checkbashisms $(SHFILES) || true
+	@{ checkbashisms $(SHFILES) 2>&1 | sed -e '/test with unary -a (should be -e)/{N;d;}'; } || true
 
 shellcheck:
 	@echo "*** shellcheck ******************************************************************************"
-	@shellcheck -s dash $(SHFILES) || true
+	@shellcheck -s dash $(SHFILES) $(UTSHFILES) || true
 
 perlcritic:
 	@echo "*** perlcritic ******************************************************************************"
@@ -297,7 +321,7 @@
 
 checkwip:
 	@echo "*** checkwip ********************************************************************************"
-	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(PLFILES) || true
+	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(UTSHFILES) $(PLFILES) || true
 
 bat.d/TEMPLATE~: bat.d/TEMPLATE
 	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@

=== debian/changelog ===
tlp (1.7.0.1-deepin2) stable; urgency=medium

  * merge v20 patch.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 13 Jun 2025 17:39:17 +0800

tlp (1.7.0.1-deepin1) stable; urgency=medium

  * merge v20 patch.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 22 Nov 2024 15:33:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tlp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
 Homepage: https://linrunner.de/tlp
@@ -13,8 +12,10 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
+Provides: laptop-mode-tools
 Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
-Conflicts: laptop-mode-tools
+Conflicts: laptop-mode-tools, power-profiles-daemon, tuned
+Replaces: laptop-mode-tools
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power
  without the need to delve deeper into technical details.

## tlp 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for TLP
-# Copyright (c) 2024 Thomas Koch <linrunner at gmx.net> and others.
+# Copyright (c) 2025 Thomas Koch <linrunner at gmx.net> and others.
 # SPDX-License-Identifier: GPL-2.0-or-later
 TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")
 
@@ -121,7 +121,7 @@
 
 UTSHFILES = \
 	unit-tests/test-func \
-	unit-tests/test-cpufreq.sh
+	unit-tests/test-*.sh
 
 PLFILES = \
 	tlp-pcilist \
@@ -328,7 +328,7 @@
 
 bat.d/%~: bat.d/%
 	@printf "*** checkbatdrv %-25s ***********************************************\n" "$<"
-	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
+	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v -E 'batdrv_(is|has)' | sort > $@
 	@diff -U 1 -s bat.d/TEMPLATE~  $@ || true
 
 checkbatdrv: bat.d/TEMPLATE~ $(BATDRVFILES)

=== debian/changelog ===
tlp (1.8.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active. In
      tlp.conf, add some warnings to let users know about this.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 21:42:11 -0600

tlp (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

  [ Thomas Koch ]
  * [0a0203c] debian/copyright: update to 2025
  * [f3fd34a] Update lintian overrides

  [ Raphaël Halimi ]
  * [7c216be] debian/watch: align with current debhelper template

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 13 Feb 2025 17:04:20 +0100

tlp (1.7.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 15:14:28 -0600

tlp (1.6.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073295). Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 16 Jul 2024 16:42:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tlp
-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
@@ -12,10 +13,8 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
-Provides: laptop-mode-tools
 Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
-Conflicts: laptop-mode-tools, power-profiles-daemon, tuned
-Replaces: laptop-mode-tools
+Conflicts: laptop-mode-tools, tuned
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power
  without the need to delve deeper into technical details.

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,6 @@
 
 # Override Makefile defaults
 export TLP_ZSHCPL=/usr/share/zsh/vendor-completions
-
-# Debian and Ubuntu provide x86_energy_perf_policy in different packages
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARS = -Vdist:Suggests="linux-tools-generic | linux-tools"
-else
-	SUBSTVARS = -Vdist:Suggests="linux-cpupower"
-endif
 
 %:
 	dh $@
